Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus
published on Thursday, May 7, 2026 by Byteplus
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus
published on Thursday, May 7, 2026 by Byteplus
Data Source schema for Byteplus::RDSMySQL::Endpoint
Using getEndpoint
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getEndpoint(args: GetEndpointArgs, opts?: InvokeOptions): Promise<GetEndpointResult>
function getEndpointOutput(args: GetEndpointOutputArgs, opts?: InvokeOptions): Output<GetEndpointResult>def get_endpoint(id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetEndpointResult
def get_endpoint_output(id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetEndpointResult]func LookupEndpoint(ctx *Context, args *LookupEndpointArgs, opts ...InvokeOption) (*LookupEndpointResult, error)
func LookupEndpointOutput(ctx *Context, args *LookupEndpointOutputArgs, opts ...InvokeOption) LookupEndpointResultOutput> Note: This function is named LookupEndpoint in the Go SDK.
public static class GetEndpoint
{
public static Task<GetEndpointResult> InvokeAsync(GetEndpointArgs args, InvokeOptions? opts = null)
public static Output<GetEndpointResult> Invoke(GetEndpointInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetEndpointResult> getEndpoint(GetEndpointArgs args, InvokeOptions options)
public static Output<GetEndpointResult> getEndpoint(GetEndpointArgs args, InvokeOptions options)
fn::invoke:
function: bytepluscc:rdsmysql/getEndpoint:getEndpoint
arguments:
# arguments dictionaryThe following arguments are supported:
- Id string
- Uniquely identifies the resource.
- Id string
- Uniquely identifies the resource.
- id String
- Uniquely identifies the resource.
- id string
- Uniquely identifies the resource.
- id str
- Uniquely identifies the resource.
- id String
- Uniquely identifies the resource.
getEndpoint Result
The following output properties are available:
- Addresses
List<Byteplus.
Get Endpoint Address> - Endpoint address list.
- Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<string>
- Connection endpoint tags.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Custom
Route Byteplus.Strategy Get Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Id string
- Uniquely identifies the resource.
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only List<Byteplus.Node Weights Get Endpoint Read Only Node Weight> - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- Addresses
[]Get
Endpoint Address - Endpoint address list.
- Auto
Add boolNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- Connect
All boolSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- []string
- Connection endpoint tags.
- Connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- Connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- Custom
Route GetStrategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- Description string
- Remarks.
- Enable
Connection boolPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- Enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- Endpoint
Id string - Instance connection endpoint ID.
- Endpoint
Name string - Instance connection endpoint name.
- Endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- Id string
- Uniquely identifies the resource.
- Idle
Connection boolReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- Implicit
Trans boolSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- Instance
Id string - Instance ID.
- Master
Node boolRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Master
Protector intTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- Multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- Nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- Overload
Protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- Read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- Read
Only intNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- Read
Only []GetNode Weights Endpoint Read Only Node Weight - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- Read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- Read
Write boolSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
List<Get
Endpoint Address> - Endpoint address list.
- auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<String>
- Connection endpoint tags.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route GetStrategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- id String
- Uniquely identifies the resource.
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector IntegerTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only IntegerNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<GetNode Weights Endpoint Read Only Node Weight> - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Get
Endpoint Address[] - Endpoint address list.
- auto
Add booleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All booleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- string[]
- Connection endpoint tags.
- connection
Mode string - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool stringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route GetStrategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- description string
- Remarks.
- enable
Connection booleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read stringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id string - Instance connection endpoint ID.
- endpoint
Name string - Instance connection endpoint name.
- endpoint
Type string - Endpoint type. Value: Custom (custom endpoint).
- id string
- Uniquely identifies the resource.
- idle
Connection booleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans booleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id string - Instance ID.
- master
Node booleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector numberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements stringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes string
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only stringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only numberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only GetNode Weights Endpoint Read Only Node Weight[] - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- read
Write stringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write booleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses
Sequence[Get
Endpoint Address] - Endpoint address list.
- auto_
add_ boolnew_ nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect_
all_ boolslave_ nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- Sequence[str]
- Connection endpoint tags.
- connection_
mode str - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection_
pool_ strtype - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom_
route_ Getstrategy Endpoint Custom Route Strategy - SQL forwarding rules for the connection endpoint.
- description str
- Remarks.
- enable_
connection_ boolpersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable_
read_ stronly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint_
id str - Instance connection endpoint ID.
- endpoint_
name str - Instance connection endpoint name.
- endpoint_
type str - Endpoint type. Value: Custom (custom endpoint).
- id str
- Uniquely identifies the resource.
- idle_
connection_ boolreclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit_
trans_ boolsplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance_
id str - Instance ID.
- master_
node_ boolrouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master_
protector_ inttimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi_
statements_ strmode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes str
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload_
protection bool - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read_
only_ strnode_ distribution_ type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read_
only_ intnode_ max_ delay_ time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read_
only_ Sequence[Getnode_ weights Endpoint Read Only Node Weight] - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- read_
write_ strmode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read_
write_ boolspliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
- addresses List<Property Map>
- Endpoint address list.
- auto
Add BooleanNew Nodes - When the endpoint type is read/write or read-only, you can set whether new nodes are automatically added. Values: true: automatically added. false: not automatically added (default).
- connect
All BooleanSlave Nodes - Associate all replica nodes. Values: true: enabled (default). false: disabled. Note: Only read-only endpoints of multi-node instances support this configuration. This feature can be disabled only if the instance has two or more replica nodes.
- List<String>
- Connection endpoint tags.
- connection
Mode String - Endpoint type. Options: Proxy: proxy endpoint. Direct: direct endpoint. Note: If the database proxy feature is enabled for the instance, you can select Proxy or Direct. If the database proxy feature is not enabled, only Direct is available. You can call the DescribeDBInstanceDetail API to check the status of the database proxy feature for the instance.
- connection
Pool StringType - Connection pool type for proxy endpoints. Options: Transaction: transaction-level connection pool (default). Direct: direct mode. Note: Single-node instances do not support this feature.
- custom
Route Property MapStrategy - SQL forwarding rules for the connection endpoint.
- description String
- Remarks.
- enable
Connection BooleanPersistent - Enable connection keep-alive for the endpoint. Values: true: enabled. false: disabled. Note: Only proxy endpoints support this setting.
- enable
Read StringOnly - Enable global read-only. Values: Enable: enabled. Disable: not enabled.
- endpoint
Id String - Instance connection endpoint ID.
- endpoint
Name String - Instance connection endpoint name.
- endpoint
Type String - Endpoint type. Value: Custom (custom endpoint).
- id String
- Uniquely identifies the resource.
- idle
Connection BooleanReclaim - Enable idle connection recycling. true: enabled. false: not enabled. Note: This field is returned only for proxy endpoints.
- implicit
Trans BooleanSplit - Enable transaction separation. Options: true: yes. false: no. Note: Only proxy endpoints return this field.
- instance
Id String - Instance ID.
- master
Node BooleanRouting - Enable primary node routing. Values: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- master
Protector NumberTimeout - Overload protection timeout. Value range: integer between 60~7200. Unit: seconds. Note: This field is returned only for proxy endpoints.
- multi
Statements StringMode - Multi-Statements mode for proxy endpoints. Options: Strict: strict mode (default). Loose: loose mode.
- nodes String
- List of node IDs configured for the connection endpoint. Required when EndpointType is Custom. Note: To add the primary node to the endpoint, do not enter the primary node ID; just enter Primary. Separate multiple node IDs with commas (,).
- overload
Protection Boolean - Enable overload protection. Options: true: enabled. false: disabled. Note: This field is returned only for proxy endpoints.
- read
Only StringNode Distribution Type - Read weight allocation mode. This parameter is required when read/write splitting is enabled (set to true). For request parameters in the CreateDBEndpoint and ModifyDBEndpoint APIs, the value range is: LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling. For response parameters in the DescribeDBInstanceDetail API, the value range is: Default: automatic allocation based on specification weight. Custom: custom weight allocation. RoundRobin: round-robin scheduling. LoadSchedule: load scheduling. RoundRobinCustom: custom weight round-robin scheduling. RoundRobinAuto: automatic weight allocation round-robin scheduling.
- read
Only NumberNode Max Delay Time - Read-only node latency threshold. Value range: 1~3600. Default: 30. Unit: seconds.
- read
Only List<Property Map>Node Weights - List of nodes configured for the connection endpoint and their corresponding read-only weights.
- read
Write StringMode - Read/write mode: ReadWrite: read/write. ReadOnly: read-only.
- read
Write BooleanSpliting - Enable read/write splitting. Values: true: enabled (default). false: disabled.
Supporting Types
GetEndpointAddress
- Dns
Visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- Domain string
- Connection domain name.
- Domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- Eip
Id string - EIP ID, valid only for Public addresses.
- Eip
Locked bool - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- Internet
Protocol string - IP protocol version. Value: IPv4.
- Ip
Address string - IP address.
- Network
Type string - Network address type. Options: Private: private network address. Public: public network address.
- Port string
- Port.
- Subnet
Id string - Subnet ID, valid only for Private addresses.
- Dns
Visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- Domain string
- Connection domain name.
- Domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- Eip
Id string - EIP ID, valid only for Public addresses.
- Eip
Locked bool - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- Internet
Protocol string - IP protocol version. Value: IPv4.
- Ip
Address string - IP address.
- Network
Type string - Network address type. Options: Private: private network address. Public: public network address.
- Port string
- Port.
- Subnet
Id string - Subnet ID, valid only for Private addresses.
- dns
Visibility Boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain String
- Connection domain name.
- domain
Prefix String - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- eip
Id String - EIP ID, valid only for Public addresses.
- eip
Locked Boolean - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- internet
Protocol String - IP protocol version. Value: IPv4.
- ip
Address String - IP address.
- network
Type String - Network address type. Options: Private: private network address. Public: public network address.
- port String
- Port.
- subnet
Id String - Subnet ID, valid only for Private addresses.
- dns
Visibility boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain string
- Connection domain name.
- domain
Prefix string - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- eip
Id string - EIP ID, valid only for Public addresses.
- eip
Locked boolean - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- internet
Protocol string - IP protocol version. Value: IPv4.
- ip
Address string - IP address.
- network
Type string - Network address type. Options: Private: private network address. Public: public network address.
- port string
- Port.
- subnet
Id string - Subnet ID, valid only for Private addresses.
- dns_
visibility bool - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain str
- Connection domain name.
- domain_
prefix str - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- eip_
id str - EIP ID, valid only for Public addresses.
- eip_
locked bool - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- internet_
protocol str - IP protocol version. Value: IPv4.
- ip_
address str - IP address.
- network_
type str - Network address type. Options: Private: private network address. Public: public network address.
- port str
- Port.
- subnet_
id str - Subnet ID, valid only for Private addresses.
- dns
Visibility Boolean - false: Volcano Engine private network resolution (default). true: Volcano Engine private network and public network resolution.
- domain String
- Connection domain name.
- domain
Prefix String - Connection address prefix. The prefix must meet the following rules: start with a lowercase letter and end with a lowercase letter or digit; contain at least two of the following: lowercase letters, digits, or hyphens (-); be at least 8 characters long; and the total connection address length (prefix + suffix) must not exceed 63 characters.
- eip
Id String - EIP ID, valid only for Public addresses.
- eip
Locked Boolean - Whether the EIP used by the connection endpoint is suspended due to overdue payment. Options: true: yes. false: no.
- internet
Protocol String - IP protocol version. Value: IPv4.
- ip
Address String - IP address.
- network
Type String - Network address type. Options: Private: private network address. Public: public network address.
- port String
- Port.
- subnet
Id String - Subnet ID, valid only for Private addresses.
GetEndpointCustomRouteStrategy
- Keyword
Route List<Byteplus.Strategies Get Endpoint Custom Route Strategy Keyword Route Strategy> - Custom routing policy list.
- Keyword
Route []GetStrategies Endpoint Custom Route Strategy Keyword Route Strategy - Custom routing policy list.
- keyword
Route List<GetStrategies Endpoint Custom Route Strategy Keyword Route Strategy> - Custom routing policy list.
- keyword
Route GetStrategies Endpoint Custom Route Strategy Keyword Route Strategy[] - Custom routing policy list.
- keyword_
route_ Sequence[Getstrategies Endpoint Custom Route Strategy Keyword Route Strategy] - Custom routing policy list.
- keyword
Route List<Property Map>Strategies - Custom routing policy list.
GetEndpointCustomRouteStrategyKeywordRouteStrategy
- Node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- Sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- Node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- Sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type String - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword String - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type string - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword string - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node_
type str - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql_
keyword str - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
- node
Type String - SQL forwarding rule target. Options: Primary: primary node. Secondary: secondary node. ReadOnly: read-only node. Note: For dual-node instances, you can select the primary node or read-only node. For multi-node instances, you can select the primary node or secondary node.
- sql
Keyword String - Forwarding rule keywords. SQL keyword rules: Each rule can contain up to 20 keywords, with a maximum length of 64 characters. Allowed characters: English letters, digits, underscore (_), @, #, :=, and Chinese characters.
GetEndpointReadOnlyNodeWeight
Package Details
- Repository
- bytepluscc byteplus-sdk/pulumi-bytepluscc
- License
- MPL-2.0
- Notes
- This Pulumi package is based on the
byteplusccTerraform Provider.
Viewing docs for bytepluscc v0.0.25
published on Thursday, May 7, 2026 by Byteplus
published on Thursday, May 7, 2026 by Byteplus
